﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="IdeasEdit.aspx.cs" Inherits="BraStor_WebRole.Ideas.IdeasEdit" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Idea</h2>
    <br />
    <asp:Label ID="lbl_error" runat="server" Text="" Visible="false"></asp:Label><br />
    <div>
        <table style="width: 100%">
            <tr>
                <td colspan="8" class="dataHeader">
                    <asp:Label ID="lbl_info1" runat="server" Text="Datos Idea" CssClass="dataHeader"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right" >
                    <asp:Label ID="lbl_title" runat="server" Text="Título:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 35%;"colspan="5">
                    <asp:TextBox ID="txt_title" runat="server" Width="95%" MaxLength="64"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="req_titulo" runat="server" Display="Dynamic" 
                        ErrorMessage="Es obligatorio introducir un título para la idea" 
                        ForeColor="Red" ControlToValidate="txt_title">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right">
                    <asp:Label ID="lbl_creationDate" runat="server" Text="Fecha Creación:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 34%;">
                    <asp:TextBox ID="txt_creationDate" runat="server" ReadOnly="true"></asp:TextBox>
                </td>
                <td style="width: 2%; ">
                </td>
                <td style="width: 14%; text-align: right">
                    <asp:Label ID="lbl_limitDate" runat="server" Text="Fecha Límite:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 34%;">
                    <asp:TextBox ID="txt_limitDate" runat="server"></asp:TextBox>
                    <asp:MaskedEditExtender ID="txt_limitDate_MaskedEditExtender" runat="server" 
                        CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                        CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                        CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                        MaskType="Date" TargetControlID="txt_limitDate" Mask="99/99/9999">
                    </asp:MaskedEditExtender>
                    <asp:CalendarExtender ID="txt_limitDate_CalendarExtender" runat="server" 
                        Enabled="True" TargetControlID="txt_limitDate" PopupButtonID="img_calendar" FirstDayOfWeek="Monday" Format="dd/MM/yyyy">
                    </asp:CalendarExtender>
                    <asp:Image ID="img_calendar" runat="server" ImageUrl="~/Images/calendar16.png" />
                    <asp:RequiredFieldValidator ID="req_titulo0" runat="server" Display="Dynamic" 
                        ErrorMessage="Es obligatorio introducir una fecha límite para la idea" 
                        ForeColor="Red" ControlToValidate="txt_limitDate">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right; vertical-align: top;">
                    <asp:Label ID="lbl_description" runat="server" Text="Descripción:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 35%;" colspan="5">
                    <asp:TextBox ID="txt_description" runat="server" MaxLength="512" 
                        TextMode="MultiLine" Width="95%" Height="150px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="req_titulo1" runat="server" Display="Dynamic" 
                        
                        ErrorMessage="Es obligatorio introducir una descripción para la idea generada" 
                        ForeColor="Red" ControlToValidate="txt_description">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right">
                    <asp:Label ID="lbl_estado" runat="server" Text="Estado:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 34%;">
                    <asp:DropDownList ID="ddl_status" runat="server" DataSourceID="objDS_estado" 
                        DataTextField="str_nombre" DataValueField="pk_lng_id">
                    </asp:DropDownList>
                </td>
                <td style="width: 2%; ">
                </td>
                <td style="width: 14%; text-align: right">
                    <asp:CheckBox ID="chk_Archivada" runat="server" Enabled="False" 
                        Text="Archivada" />
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 34%;">
                    <asp:MaskedEditExtender ID="MaskedEditExtender1" runat="server" 
                        CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                        CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                        CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                        MaskType="Date" TargetControlID="txt_limitDate" Mask="99/99/9999">
                    </asp:MaskedEditExtender>
                    <asp:CalendarExtender ID="CalendarExtender1" runat="server" 
                        Enabled="True" TargetControlID="txt_limitDate" PopupButtonID="img_calendar" FirstDayOfWeek="Monday" Format="dd/MM/yyyy">
                    </asp:CalendarExtender>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right; vertical-align: top;">
                    <br />
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 35%;">
                    <asp:CheckBox ID="chk_mail" runat="server" 
                        Text="email a usuarios modificación Idea" />
                </td>
            </tr>
            <tr>
                <td>
                    <br />
                </td>
            </tr>
        </table>
        <asp:UpdatePanel ID="updPan_Themes" runat="server">
            <ContentTemplate>
                <table style="width: 100%">
                    <tr>
                        <td colspan="3" class="dataHeader">
                            <asp:Label ID="lbl_themes" runat="server" Text="Temas" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right">
                            <asp:Label ID="lbl_temas" runat="server" Text="Asignación de temas:"></asp:Label>
                        </td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 85%;">
                            <asp:DropDownList ID="ddl_themes" runat="server" Width="30%" 
                                DataSourceID="objDS_Themes" DataTextField="str_nombre" 
                                DataValueField="pk_uid_id">
                            </asp:DropDownList>
                            <asp:Button ID="btn_addTheme" runat="server" Text="Añadir Tema" 
                                CssClass="buttonClasic" BorderStyle="None" onclick="btn_addTheme_Click" />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right">
                        </td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 85%; vertical-align: top;">
                            <asp:ListBox ID="lstThemes" runat="server" Width="30%"></asp:ListBox>
                            <asp:Button ID="btn_deleteTheme" runat="server" Text="Borrar Tema" 
                                CssClass="buttonClasic" BorderStyle="None" 
                                onclick="btn_deleteTheme_Click" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <br />
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
       <asp:UpdatePanel ID="updPan_users" runat="server">
            <ContentTemplate>
                <table style="width: 100%">
                    <tr>
                        <td colspan="3" class="dataHeader">
                            <asp:Label ID="lbl_info3" runat="server" Text="Usuarios" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right">
                            <asp:Label ID="lbl_users" runat="server" Text="Asignación de usuarios:"></asp:Label>
                        </td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 85%;">
                            <asp:DropDownList ID="ddl_users" runat="server" Width="30%" 
                                DataSourceID="objDS_Users" DataTextField="UserName" DataValueField="UserId">
                            </asp:DropDownList>
                            <asp:Button ID="btn_addUser" runat="server" Text="Añadir Usuario" 
                                CssClass="buttonClasic" BorderStyle="None" onclick="btn_addUser_Click" />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right">
                        </td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 85%; vertical-align: top;">
                            <asp:ListBox ID="lst_users" runat="server" Width="30%"></asp:ListBox>
                            <asp:Button ID="btn_deleteUser" runat="server" Text="Borrar Usuario" 
                                CssClass="buttonClasic" BorderStyle="None" 
                                onclick="btn_deleteUser_Click" />
                        </td>
                    </tr>

                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    <div>
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" ForeColor="Red" />
    </div>
    <div>
        <table style="width: 100%;">
            <tr>
                <td style="text-align: left; width: 50%">
                    <asp:ImageButton ID="bimg_save" runat="server" ImageUrl="~/Images/save16.png" />
                    <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                        Text="Actualizar" onclick="UpdateButton_Click" />
                </td>
                <td style="text-align: right; width: 50%">
                    <asp:LinkButton ID="InsertCancelButton" runat="server" 
                        CausesValidation="False"  Text="Cancelar" 
                        onclick="InsertCancelButton_Click" />
                </td>
            </tr>
        </table>
    </div>
    <asp:ObjectDataSource ID="objDS_Themes" runat="server" 
                        SelectMethod="getActiveThemes" TypeName="BraStor_WebRole.Bll.BllIdeas">
                    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="objDS_Users" runat="server" 
                        SelectMethod="getActiveUsers" TypeName="BraStor_WebRole.Bll.BllIdeas">
                    </asp:ObjectDataSource>
                    <asp:ObjectDataSource ID="objDS_estado" runat="server" 
                        SelectMethod="getAllStatus" TypeName="BraStor_WebRole.Bll.BllIdeas">
                    </asp:ObjectDataSource>
</asp:Content>
