﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace BraStor_WebRole.Organization
{
    public partial class OrganizationEdit : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Label lblError = (Label)this.frmOrganization.FindControl("lbl_error");
                lblError.Visible = false;

            }

        }

        protected void UpdateButton_Click(object sender, EventArgs e)
        {
            Label lblError = (Label)this.frmOrganization.FindControl("lbl_error");
            
            try
            {
                lblError.Visible = false;

                this.frmOrganization.UpdateItem(true);

                Response.Redirect("~/Organization/OrganizationIndex.aspx");
            }
            catch (Exception ex)
            {
                lblError.ForeColor = Color.Red;
                lblError.Text = "Ha habido un error durante la actualización. [" + ex.Message + "]";
                lblError.Visible = true;
            }
        }

        protected void UpdateCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Organization/OrganizationIndex.aspx");
        }
    }
}