﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="OrganizationNew.aspx.cs" Inherits="BraStor_WebRole.Organization.OrganizationNew" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Nueva Organización</h2>
    <br />
    <div>
        <asp:FormView ID="frmOrganization" runat="server" 
            DataSourceID="objDS_Organization" DefaultMode="Insert" Width="100%">
            <InsertItemTemplate>
                <asp:Label ID="lbl_error" runat = "server" Text="" Visible="false" Width="100%" />
                <table style="width: 100%">
                    <tr>
                        <td style="width: 14%" colspan="5">
                            <asp:Label ID="lbl_info1" runat="server" Text="Datos generales" Width="100%" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_CIF" runat="server" Text="CIF:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_cif" runat="server" Text='<%# Bind("str_cif") %>' />
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%"></td>
                        <td style="width: 35%"></td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_codOrganization" runat="server" Text="Código:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_codigo" runat="server" 
                                Text='<%# Bind("str_codigo") %>' Width="100%" />
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_nameCOrganization" runat="server" Text="Nombre:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="TextBox1" runat="server" 
                                Text='<%# Bind("str_nombre") %>' Width="100%"/>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_phone" runat="server" Text="Teléfono:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_phone" runat="server" 
                                Text='<%# Bind("str_telefono") %>' Width="100%" />
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_fax" runat="server" Text="Fax:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_fax" runat="server" 
                                Text='<%# Bind("str_fax") %>' Width="100%"/>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%" colspan="5">
                            <asp:Label ID="lbl_info2" runat="server" Text="Datos Dirección" 
                                CssClass="dataHeader" Width="100%"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_address" runat="server" Text="Dirección:"></asp:Label>
                        </td>
                        <td style="width: 35%" colspan="4">
                            <asp:TextBox ID="txt_address" runat="server" Text='<%# Bind("str_direccion") %>' Width="100%"/>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_cp" runat="server" Text="CP:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_cp" runat="server" 
                                Text='<%# Bind("str_cp") %>'  />
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_city" runat="server" Text="Población:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_city" runat="server" 
                                Text='<%# Bind("str_poblacion") %>' Width="100%"/>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_province" runat="server" Text="Provincia:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_province" runat="server" 
                                Text='<%# Bind("str_provincia") %>'  />
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_country" runat="server" Text="País:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:DropDownList ID="ddl_country" runat="server" DataSourceID="objDS_country" 
                                DataTextField="str_nombre" DataValueField="str_nombre" 
                                SelectedValue='<%# Bind("str_pais") %>' Width="100%">
                            </asp:DropDownList>
                        </td>
                    </tr>
                </table>
                <table style="width: 100%;">
                    <tr>
                        <td style="text-align: left; width: 50%">
                         <asp:ImageButton ID="bimg_save" runat="server" ImageUrl="~/Images/save16.png" />
                            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                                CommandName="Insert" Text="Insertar" onclick="InsertButton_Click" />
                        </td>
                        <td style="text-align: right; width: 50%">
                            <asp:LinkButton ID="InsertCancelButton" runat="server" 
                                CausesValidation="False" CommandName="Cancel" Text="Cancelar" 
                                onclick="InsertCancelButton_Click" />
                        </td>
                    </tr>
                </table>
                <asp:ObjectDataSource ID="objDS_country" runat="server" 
                                SelectMethod="getListCountries" 
                                TypeName="BraStor_WebRole.Bll.BllOrganizaciones"></asp:ObjectDataSource>
            </InsertItemTemplate>
        </asp:FormView>
        <asp:ObjectDataSource ID="objDS_Organization" runat="server" 
            SelectMethod="getDetailOrganization" 
            TypeName="BraStor_WebRole.Bll.BllOrganizaciones" 
            DataObjectTypeName="BraStor_WebRole.Model.tbl_organizaciones" 
            InsertMethod="insertOrganization">
            <SelectParameters>
                <asp:Parameter DefaultValue="" Name="uid_id" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
