﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ThemeNew.aspx.cs" Inherits="BraStor_WebRole.Temas.ThemeNew" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Tema Nuevo</h2>
    <br />
    <div>
        <asp:FormView ID="frmThemes" runat="server" 
            DataSourceID="objDS_Themes" DefaultMode="Insert" Width="100%">
            <InsertItemTemplate>
                <asp:Label ID="lbl_error" runat = "server" Text="" Visible="false" Width="100%" />
                <table style="width: 100%">
                    <tr>
                        <td style="width: 14%" colspan="2">
                            <asp:Label ID="lbl_info1" runat="server" Text="Tema" Width="100%" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 15%; text-align: right;">
                            <asp:Label ID="lbl_code" runat="server" Text="Código:"></asp:Label>
                        </td>
                        <td style="width: 85%">
                            <asp:TextBox ID="txt_codigo" runat="server" Text='<%# Bind("str_codigo") %>' />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_name" runat="server" Text="Nombre:"></asp:Label>
                        </td>
                        <td style="width: 85%">
                            <asp:TextBox ID="txt_noame" runat="server" 
                                Text='<%# Bind("str_nombre") %>' Width="95%" />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_activo" runat="server" Text="Tema activo:"></asp:Label>
                        </td>
                        <td style="width: 85%">
                            <asp:CheckBox ID="chk_activo" runat="server" 
                                Text='<%# Bind("bol_activo") %>' Checked='<%# Bind("bol_activo") %>'/>
                        </td>
                    </tr>
                </table>
                <table style="width: 100%;">
                    <tr>
                        <td style="text-align: left; width: 50%">
                         <asp:ImageButton ID="bimg_save" runat="server" ImageUrl="~/Images/save16.png" />
                            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                                CommandName="Insert" Text="Insertar" onclick="InsertButton_Click" />
                        </td>
                        <td style="text-align: right; width: 50%">
                            <asp:LinkButton ID="InsertCancelButton" runat="server" 
                                CausesValidation="False" CommandName="Cancel" Text="Cancelar" 
                                onclick="InsertCancelButton_Click" />
                        </td>
                    </tr>
                </table>
            </InsertItemTemplate>
        </asp:FormView>
        <asp:ObjectDataSource ID="objDS_Themes" runat="server" 
            SelectMethod="getDetailTheme" 
            TypeName="BraStor_WebRole.Bll.BllThemes" 
            DataObjectTypeName="BraStor_WebRole.Model.tbl_temas" 
            InsertMethod="insertTheme">
            <SelectParameters>
                <asp:Parameter DefaultValue="" Name="uid_id" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
