﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserIndex.aspx.cs" Inherits="BraStor_WebRole.Users.UserIndex" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .style1
        {
            width: 50%;
            height: 21px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Usuarios</h2>
    <br />
    <div>
        <table style="width: 100%">
            <tr>
                <td style="width: 50%; text-align: left">
                    <asp:ImageButton ID="imgb_newUser" runat="server" ImageUrl="~/Images/new16.png" />
                    <asp:LinkButton ID="hlnk_newUser" runat="server" onclick="hlnk_newUser_Click" 
                        >Nueva Cuenta de Usuario</asp:LinkButton>
                </td>
                <td style="width: 50%; text-align: right">
                    <asp:ImageButton ID="imgb_deleteUser" runat="server" 
                        ImageUrl="~/Images/lock16.gif" Visible="False" />
                    <asp:LinkButton ID="hlnk_deleteUser" runat="server" 
                        onclick="hlnk_deleteUser_Click" Visible="False" 
                        >Bloquear Usuario</asp:LinkButton>
                </td>
            </tr>
        </table>
    </div>
    <div style="text-align: center">
        <asp:GridView ID="gv_usuarios" runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" CellPadding="4" DataSourceID="objDS_users" 
            ForeColor="#333333" GridLines="None" Width="100%">
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            <Columns>
                <asp:TemplateField HeaderText="Sel.">
                    <ItemTemplate>
                        <asp:CheckBox ID="chk_deleteUser" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Login" SortExpression="UserName">
                    <ItemTemplate>
                       <asp:HyperLink ID="hlink_editUser" runat="server" Text='<%# Bind("UserName") %>' NavigateUrl='<%# Eval("UserId", "~/Users/UserEdit.aspx?ID={0}") %>'></asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="CreateDate" HeaderText="Fecha Creación" 
                    SortExpression="CreateDate" />
<asp:BoundField DataField="RoleName" HeaderText="Role" SortExpression="RoleName"></asp:BoundField>
                <asp:BoundField DataField="LastLoginDate" HeaderText="Fecha Última Conexión" 
                    SortExpression="LastLoginDate" />
                <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
            </Columns>
            <EditRowStyle BackColor="#999999" />
            <EmptyDataTemplate>
                <asp:Label ID="lbl_infoNoResults" runat="server" ForeColor="Red" 
                    Text="Los criterios establecidos para la búsqueda no ofrecen ningún resultado. Inténtelo de nuevo."></asp:Label>
            </EmptyDataTemplate>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#E9E7E2" />
            <SortedAscendingHeaderStyle BackColor="#506C8C" />
            <SortedDescendingCellStyle BackColor="#FFFDF8" />
            <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
        </asp:GridView>
    </div>
    <asp:ObjectDataSource ID="objDS_users" runat="server" 
        SelectMethod="getAllUsers" 
        TypeName="BraStor_WebRole.Bll.BllUsers">
    </asp:ObjectDataSource>
</asp:Content>
