﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="IdeasDetail.aspx.cs" Inherits="BraStor_WebRole.Ideas.IdeasDetail" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Comentarios y Valoración de Ideas</h2>
    <br />
    <asp:Label ID="lbl_error" runat="server" Text="" Visible="false"></asp:Label><br />
    <div>
        <table style="width: 100%">
            <tr>
                <td colspan="8" class="dataHeader">
                    <asp:Label ID="lbl_info1" runat="server" Text="Datos Idea" CssClass="dataHeader"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right" >
                    <asp:Label ID="lbl_title" runat="server" Text="Título:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 35%;"colspan="5">
                    <asp:TextBox ID="txt_title" runat="server" Width="95%" MaxLength="64" 
                        ReadOnly="True"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right">
                    <asp:Label ID="lbl_creationDate" runat="server" Text="Fecha Creación:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 34%;">
                    <asp:TextBox ID="txt_creationDate" runat="server" ReadOnly="true"></asp:TextBox>
                </td>
                <td style="width: 2%; ">
                </td>
                <td style="width: 14%; text-align: right">
                    <asp:Label ID="lbl_limitDate" runat="server" Text="Fecha Límite:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 34%;">
                    <asp:TextBox ID="txt_limitDate" runat="server" ReadOnly="True"></asp:TextBox>
                    <asp:MaskedEditExtender ID="txt_limitDate_MaskedEditExtender" runat="server" 
                        CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                        CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                        CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                        MaskType="Date" TargetControlID="txt_limitDate" Mask="99/99/9999">
                    </asp:MaskedEditExtender>
                    <asp:CalendarExtender ID="txt_limitDate_CalendarExtender" runat="server" 
                        Enabled="True" TargetControlID="txt_limitDate" PopupButtonID="img_calendar" FirstDayOfWeek="Monday" Format="dd/MM/yyyy">
                    </asp:CalendarExtender>
                </td>
            </tr>
            <tr>
                <td style="width: 14%; text-align: right; vertical-align: top;">
                    <asp:Label ID="lbl_description" runat="server" Text="Descripción:"></asp:Label>
                </td>
                <td style="width: 1%; ">
                </td>
                <td style="width: 35%;" colspan="5">
                    <asp:TextBox ID="txt_description" runat="server" MaxLength="512" 
                        TextMode="MultiLine" Width="95%" Height="100px" ReadOnly="True"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="req_titulo1" runat="server" Display="Dynamic" 
                        
                        ErrorMessage="Es obligatorio introducir una descripción para la idea generada" 
                        ForeColor="Red" ControlToValidate="txt_description">*</asp:RequiredFieldValidator>
                </td>
            </tr>
        </table>
        <asp:UpdatePanel ID="updPan_archivo" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <table style="width: 100%">
                    <tr>
                        <td style="width: 14%; text-align: right">
                            <asp:Label ID="lbl_estado" runat="server" Text="Estado:"></asp:Label>
                        </td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 34%;">
                            <asp:TextBox ID="txt_status" runat="server" ReadOnly="True"></asp:TextBox>
                        </td>
                        <td style="width: 2%; ">
                        </td>
                        <td style="width: 14%; text-align: right">
                            <asp:CheckBox ID="chk_Archivada" runat="server" Enabled="False" 
                                Text="Archivada" />
                        </td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 34%;">
                             <asp:LinkButton ID="lnk_archivar" runat="server">Archivar</asp:LinkButton>
                             <asp:ModalPopupExtender ID="lnk_archivar_ModalPopupExtender" runat="server" 
                                 DynamicServicePath="" Enabled="True" TargetControlID="lnk_archivar" 
                                 PopupControlID="pnl_archivo" BackgroundCssClass="modalBackground" DropShadow="True"
                                 BehaviorID="ModalPopupBehavior">
                             </asp:ModalPopupExtender>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <br />
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="updPan_Themes" runat="server">
            <ContentTemplate>
                <table style="width: 100%">
                    <tr>
                        <td colspan="3" class="dataHeader">
                            <asp:Label ID="lbl_themes" runat="server" Text="Temas" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right">
                            &nbsp;</td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 85%; vertical-align: top;">
                            <asp:ListBox ID="lstThemes" runat="server" Width="30%"></asp:ListBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <br />
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
       <asp:UpdatePanel ID="updPan_Valor" runat="server" UpdateMode="Conditional">
           <ContentTemplate>
                <table style="width: 100%">
                    <tr>
                        <td colspan="7" class="dataHeader">
                            <asp:Label ID="lbl_info4" runat="server" Text="Valoración" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%;">
                            <asp:Label ID="lbl_average" runat="server" Text="Valoración Media:"></asp:Label>
                        </td>
                        <td style="width: 1%;">
                        </td>
                        <td style="width: 34%;">
                            <asp:TextBox ID="txt_average" runat="server" ReadOnly="true" 
                                CssClass="textNote" Width="59px"></asp:TextBox>
                        </td>
                        <td style="width: 2%;">
                        </td>
                        <td style="width: 14%;">
                            <asp:Label ID="lbl_myPoint" runat="server" Text="Mi Nota:"></asp:Label>
                        </td>
                        <td style="width: 1%;">
                        </td>
                        <td style="padding: 2px; margin: 2px; width: 34%; vertical-align: middle;">
                            <asp:TextBox ID="txt_myPoint" runat="server" ReadOnly="true" 
                                CssClass="textNote" Width="59px"></asp:TextBox>
                            <asp:LinkButton ID="blnk_note" runat="server">Valorar</asp:LinkButton>
                            <asp:ModalPopupExtender ID="blnk_note_ModalPopupExtender" runat="server" 
                                DynamicServicePath="" Enabled="True" TargetControlID="blnk_note" PopupControlID="pnl_valorar" BehaviorID="ModalPopupValorarBehavior"
                                BackgroundCssClass="modalBackground" DropShadow="True">
                            </asp:ModalPopupExtender>
                        </td>
                    </tr>

                </table>
           </ContentTemplate>
       </asp:UpdatePanel>
       <asp:UpdatePanel ID="updPan_comments" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <table style="width: 100%">
                    <tr>
                        <td colspan="3" class="dataHeader">
                            <asp:Label ID="lbl_info3" runat="server" Text="Comentarios" 
                                CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right">
                            &nbsp;</td>
                        <td style="width: 1%; ">
                        </td>
                        <td style="width: 85%; text-align: right;">
                            <asp:ImageButton ID="ilnk_addComment" runat="server" 
                                ImageUrl="~/Images/new16.png" />
                            <asp:LinkButton ID="blnk_addComment" runat="server" 
                                onclick="blnk_addComment_Click">Añadir Comentario</asp:LinkButton>
                        </td>
                    </tr>
                </table>
                <div>
                    <asp:GridView ID="gv_comentarios" runat="server" AutoGenerateColumns="False" 
                        CellPadding="4" ForeColor="#333333" GridLines="None" Width="100%">
                        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                        <Columns>
                            <asp:BoundField DataField="dat_fechaComentario" HeaderText="Fecha" 
                                SortExpression="dat_fechaComentario" />
                            <asp:BoundField DataField="str_comentario" HeaderText="Comentario" 
                                SortExpression="str_comentario" />
                            <asp:BoundField DataField="UserName" HeaderText="Usuario" 
                                SortExpression="UserName" />
                        </Columns>
                        <EditRowStyle BackColor="#999999" />
                        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                        <SortedAscendingCellStyle BackColor="#E9E7E2" />
                        <SortedAscendingHeaderStyle BackColor="#506C8C" />
                        <SortedDescendingCellStyle BackColor="#FFFDF8" />
                        <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
                    </asp:GridView>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    <div>
    </div>
    <div>
        <table style="width: 100%;">
            <tr>
                <td style="text-align: left; width: 50%">
                    &nbsp;</td>
                <td style="text-align: right; width: 50%">
                    <asp:LinkButton ID="InsertCancelButton" runat="server" 
                        CausesValidation="False"  Text="Volver" 
                        onclick="InsertCancelButton_Click" />
                </td>
            </tr>
        </table>
    </div>
    <asp:ObjectDataSource ID="objDS_Themes" runat="server" 
                        SelectMethod="getActiveThemes" TypeName="BraStor_WebRole.Bll.BllIdeas">
                    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="objDS_Users" runat="server" 
                        SelectMethod="getActiveUsers" TypeName="BraStor_WebRole.Bll.BllIdeas">
                    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="objDS_archive" runat="server" 
                            SelectMethod="getAllArchiveReason" TypeName="BraStor_WebRole.Bll.BllIdeas">
                        </asp:ObjectDataSource>
    <asp:Panel ID="pnl_archivo" runat="server"  CssClass="updateProgress" style="display:none;">
        <div>
            <table style="width: 100%;">
                <tr>
                    <td class="dataHeader" colspan="2">
                        <asp:Label ID="lbl_infoPanel1" runat="server" Text="Archivar Idea" CssClass="dataHeader"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lbl_infoPanel2" runat="server" Text="Introduzca el motivo por el que desea archivar la Idea"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 30%;">
                        <asp:Label ID="lbl_razonArchivo" runat="server" Text="Razón Archivo:"></asp:Label>
                    </td>
                    <td style="width: 70%;">
                        <asp:DropDownList ID="ddl_razonArchivo" runat="server" 
                            DataSourceID="objDS_archive" DataTextField="str_nombre" 
                            DataValueField="pk_lng_id" Width="50%">
                        </asp:DropDownList>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <table style="width: 100%;">
                <tr>
                    <td style="width: 50%; text-align: left;">
                        <asp:ImageButton ID="ilnk_okArchivo" runat="server" 
                            ImageUrl="~/Images/ok16.png" />
                        <asp:LinkButton ID="blnk_okArchivo" runat="server" onclick="blnk_okArchivo_Click" OnClientClick="$find('ModalPopupBehavior').hide()"
                             >OK</asp:LinkButton></td>
                    <td style="width: 50%; text-align: right;">
                        <asp:ImageButton ID="ilnk_cancelArchivo" runat="server" 
                            ImageUrl="~/Images/delete16.png" />
                        <asp:LinkButton ID="blnk_cancelArchivo" runat="server" OnClientClick="$find('ModalPopupBehavior').hide();return false;">Cancel</asp:LinkButton></td>
                </tr>
            </table>
        </div>
    </asp:Panel>
    <!--style="display:none"-->
    <asp:Panel ID="pnl_valorar" runat="server" CssClass="updateProgress" style="display:none">
        <div>
            <table style="width: 100%;">
                <tr>
                    <td class="dataHeader" colspan="11">
                        <asp:Label ID="Label1" runat="server" Text="Valorar Idea" CssClass="dataHeader"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val1" runat="server" TabIndex="1" Text="0" 
                            GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val2" runat="server" TabIndex="2" Text="1" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val3" runat="server" TabIndex="3" Text="2" GroupName="valorarIdea" /></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val4" runat="server" TabIndex="4" Text="3" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val5" runat="server" TabIndex="5" Text="4" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val6" runat="server" TabIndex="6" Text="5" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val7" runat="server" TabIndex="7" Text="6" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val8" runat="server" TabIndex="8" Text="7" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val9" runat="server" TabIndex="9" Text="8" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val10" runat="server" TabIndex="10" Text="9" GroupName="valorarIdea"/></td>
                    <td style="width:9%">
                        <asp:RadioButton ID="rb_val11" runat="server" TabIndex="11" Text="10" GroupName="valorarIdea"/></td>
                </tr>
            </table>
        </div>
        <div>
            <table style="width: 100%;">
                <tr>
                    <td style="width: 50%; text-align: left;">
                        <asp:ImageButton ID="img_okValorar" runat="server" 
                            ImageUrl="~/Images/ok16.png" />
                        <asp:LinkButton ID="lnk_okValorar" runat="server"  
                            OnClientClick="$find('ModalPopupValorarBehavior').hide()" onclick="lnk_okValorar_Click"
                             >OK</asp:LinkButton></td>
                    <td style="width: 50%; text-align: right;">
                        <asp:ImageButton ID="img_cancelValorar" runat="server" 
                            ImageUrl="~/Images/delete16.png" />
                        <asp:LinkButton ID="lnk_cancelValorar" runat="server" OnClientClick="$find('ModalPopupValorarBehavior').hide();return false;">Cancel</asp:LinkButton></td>
                </tr>
            </table>
        </div>
    </asp:Panel>
    <!--style="display:none;"-->
    <asp:LinkButton ID="LinkButton3" runat="server" style="display: none"></asp:LinkButton>
    <asp:ModalPopupExtender ID="comment_ModalPopupExtender" runat="server" 
        DynamicServicePath="" Enabled="True" TargetControlID="LinkButton3"
        PopupControlID="pnl_comments" BehaviorID="ModalPopupCommentBehavior" DropShadow = "true" BackgroundCssClass="modalBackground">
    </asp:ModalPopupExtender>
    <asp:Panel ID="pnl_comments" runat="server"  CssClass="updateProgress" style="display:none;" >
        <div>
            <asp:UpdatePanel ID="updComments" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <table style="width: 100%;">
                        <tr>
                            <td class="dataHeader" colspan="2">
                                <asp:Label ID="lbl_info10" runat="server" Text="Añadir Comentario" CssClass="dataHeader"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 25%;">
                                <asp:Label ID="lbl_dateComment" runat="server" Text="Fecha Comentario:"></asp:Label>
                            </td>
                            <td style="width: 75%;">
                                <asp:TextBox ID="txt_dateComment" runat="server" ReadOnly="true"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 25%;">
                                <asp:Label ID="lbl_comment" runat="server" Text="Comentario:"></asp:Label>
                            </td>
                            <td style="width: 75%;">
                                <asp:TextBox ID="txt_comment" runat="server" MaxLength="512" TextMode="MultiLine" Height="100px" Width="95%"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div>
            <table style="width: 100%;">
                <tr>
                    <td style="width: 50%; text-align: left;">
                        <asp:ImageButton ID="ilnk_okComment" runat="server" 
                            ImageUrl="~/Images/ok16.png" />
                        <asp:LinkButton ID="blnk_okComment" runat="server"  
                            OnClientClick="$find('ModalPopupCommentBehavior').hide()" onclick="blnk_okComment_Click"
                             >OK</asp:LinkButton></td>
                    <td style="width: 50%; text-align: right;">
                        <asp:ImageButton ID="ImageButton2" runat="server" 
                            ImageUrl="~/Images/delete16.png" />
                        <asp:LinkButton ID="blnk_cancelComment" runat="server" OnClientClick="$find('ModalPopupCommentBehavior').hide();return false;">Cancel</asp:LinkButton></td>
                </tr>
            </table>
        </div>
    </asp:Panel>

</asp:Content>
