﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="IdeasIndex.aspx.cs" Inherits="BraStor_WebRole.Ideas.IdeasIndex" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Ideas</h2>
        <div>
            <table style="width: 100%">
                <tr>
                    <td style="width: 19%; text-align: right;">
                        <asp:Label ID="lbl_themes" runat="server" Text="Temas:"></asp:Label>
                    </td>
                    <td style="width: 30%">
                        <asp:DropDownList ID="ddl_themes" runat="server" DataSourceID="objDS_Themes" 
                            DataTextField="str_nombre" DataValueField="pk_uid_id" Width="95%">
                        </asp:DropDownList>                        
                    </td>
                    <td style="width: 2%"></td>
                    <td style="width: 19%; text-align: right;">
                    </td>
                    <td style="width: 30%"></td>
                </tr>
                <tr>
                    <td style="width: 19%; text-align: right;">
                        <asp:Label ID="lbl_words" runat="server" Text="Palabras:"></asp:Label>
                    </td>
                    <td style="width: 30%" colspan="4">
                        <asp:TextBox ID="txt_words" runat="server" Width="100%"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 19%; text-align: right;">
                        <asp:Label ID="lbl_estado" runat="server" Text="Estado:"></asp:Label>
                    </td>
                    <td style="width: 30%">
                        <asp:DropDownList ID="ddl_estado" runat="server" 
                            DataSourceID="objDS_estado" DataTextField="str_nombre" 
                            DataValueField="pk_lng_id" Width="100%">
                        </asp:DropDownList>
                        
                    </td>
                    <td style="width: 2%"></td>
                    <td style="width: 19%; text-align: right;">
                        <asp:Label ID="lbl_archivada" runat="server" Text="Archivada:"></asp:Label>
                    </td>
                    <td style="width: 30%; ">
                        <asp:DropDownList ID="ddl_archivo" runat="server" Width="95%">
                            <asp:ListItem></asp:ListItem>
                            <asp:ListItem Value="0">Sin Archivar</asp:ListItem>
                            <asp:ListItem Value="1">Archivada</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td style="width: 19%; text-align: right;">
                    </td>
                    <td style="width: 30%">
                    </td>
                    <td style="width: 2%"></td>
                    <td style="width: 19%; text-align: right;">
                    </td>
                    <td style="width: 30%; text-align: right;">
                        <asp:ImageButton ID="img_search" runat="server" 
                            ImageUrl="~/Images/search16.png" Height="16px" 
                            onclick="img_search_Click" />
                        <asp:LinkButton ID="lnk_search" runat="server" onclick="lnk_search_Click">Buscar</asp:LinkButton>
                    </td>
                </tr>
            </table>
        </div>
    
    <br />
    <div>
        <asp:ImageButton ID="imgb_newCompany" runat="server" ImageUrl="~/Images/new16.png" />
        <asp:LinkButton ID="hlnk_newIdea" runat="server" 
            onclick="hlnk_newIdea_Click">Nueva Idea</asp:LinkButton>
    </div>
    <br />
    <div style="text-align: center">
        <asp:GridView ID="gv_ideas" runat="server" AutoGenerateColumns="False" 
            CellPadding="4" ForeColor="#333333" GridLines="None" Width="100%" 
            onrowdatabound="gv_ideas_RowDataBound">
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            <Columns>
                <asp:TemplateField HeaderText="Mod." SortExpression="pk_uid_id">
                    <ItemTemplate>
                        <asp:HyperLink ID="hlink_editIdea" runat="server" Text="Modificar" NavigateUrl='<%# Eval("pk_uid_id", "~/Ideas/IdeasEdit.aspx?ID={0}") %>'></asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="str_codigoTema" HeaderText="Tema" 
                    SortExpression="str_codigoTema" />
                <asp:BoundField DataField="dat_fechalimite" HeaderText="Fecha Límite" 
                    SortExpression="dat_fechalimite" />
                <asp:BoundField DataField="str_titulo" HeaderText="Titulo" 
                    SortExpression="str_titulo" />
                <asp:BoundField DataField="str_nombreEstado" HeaderText="Estado" 
                    SortExpression="str_nombreEstado" />
                <asp:CheckBoxField DataField="bol_archivada" HeaderText="Archivada?" 
                    SortExpression="bol_archivada" />
                <asp:BoundField DataField="UserName" HeaderText="Propietario" 
                    SortExpression="UserName" />
                <asp:TemplateField HeaderText="Det.">
                    <ItemTemplate>
                        <asp:HyperLink ID="hlink_ideaDetail" runat="server" Text="Ver Detalles" NavigateUrl='<%# Eval("pk_uid_id", "~/Ideas/IdeasDetail.aspx?ID={0}") %>'></asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <EditRowStyle BackColor="#999999" />
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#E9E7E2" />
            <SortedAscendingHeaderStyle BackColor="#506C8C" />
            <SortedDescendingCellStyle BackColor="#FFFDF8" />
            <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
        </asp:GridView>
    </div>
    <asp:ObjectDataSource ID="objDS_Themes" runat="server" 
        SelectMethod="getAllThemes" TypeName="BraStor_WebRole.Bll.BllIdeas">
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="objDS_estado" runat="server" 
        SelectMethod="getAllStatus" TypeName="BraStor_WebRole.Bll.BllIdeas">
    </asp:ObjectDataSource>
</asp:Content>
