﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="OrganizationIndex.aspx.cs" Inherits="BraStor_WebRole.Organization.OrganizationIndex" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>Organizaciones</h2>
    <div>
        <table style="width: 100%">
            <tr>
                <td style="width: 19%; text-align: right;">
                    <asp:Label ID="lbl_companyName" runat="server" Text="Organización:"></asp:Label>
                </td>
                <td style="width: 30%">
                    <asp:TextBox ID="txt_companyName" runat="server" Width="100%"></asp:TextBox>
                </td>
                <td style="width: 2%"></td>
                <td style="width: 19%; text-align: right;">
                </td>
                <td style="width: 30%"></td>
            </tr>
            <tr>
                <td style="width: 19%; text-align: right;">
                    <asp:Label ID="lbl_province" runat="server" Text="Provincia:"></asp:Label>
                </td>
                <td style="width: 30%">
                    <asp:TextBox ID="txt_province" runat="server" Width="100%"></asp:TextBox>
                </td>
                <td style="width: 2%"></td>
                <td style="width: 19%; text-align: right;">
                    <asp:Label ID="lbl_country" runat="server" Text="País:"></asp:Label>
                </td>
                <td style="width: 30%">
                    <asp:DropDownList ID="ddl_countries" runat="server" 
                        DataSourceID="objDS_countries" DataTextField="str_nombre" 
                        DataValueField="str_nombre" Width="100%">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td style="width: 19%; text-align: right;">
                </td>
                <td style="width: 30%"></td>
                <td style="width: 2%"></td>
                <td style="width: 19%; text-align: right;">
                </td>
                <td style="width: 30%; text-align: right;">
                    <asp:ImageButton ID="img_search" runat="server" 
                        ImageUrl="~/Images/search16.png" Height="16px" 
                        onclick="img_search_Click" />
                    <asp:LinkButton ID="lnk_search" runat="server" onclick="lnk_search_Click">Buscar</asp:LinkButton>
                </td>
            </tr>
        </table>
    </div>
    
    <br />
    <div>
        <asp:ImageButton ID="imgb_newCompany" runat="server" ImageUrl="~/Images/new16.png" />
        <asp:LinkButton ID="hlnk_newCompany" runat="server" 
            onclick="hlnk_newCompany_Click">Nueva Organización</asp:LinkButton>
    </div>
    <br />
    <div style="text-align: center">
        <asp:GridView ID="gv_organizations" runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" CellPadding="4" DataSourceID="objDS_organizations" 
            ForeColor="#333333" GridLines="None" Width="100%">
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            <Columns>
                <asp:TemplateField HeaderText="Código" SortExpression="str_codigo">
                    <ItemTemplate>
                       <asp:HyperLink ID="hlink_editOrganization" runat="server" Text='<%# Bind("str_codigo") %>' NavigateUrl='<%# Eval("pk_uid_id", "~/Organization/OrganizationEdit.aspx?ID={0}") %>'></asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="str_nombre" HeaderText="Nombre" 
                    SortExpression="str_nombre" />
                <asp:BoundField DataField="str_cif" HeaderText="CIF" SortExpression="str_cif" />
                <asp:BoundField DataField="str_provincia" HeaderText="Provincia" 
                    SortExpression="str_provincia" />
                <asp:BoundField DataField="str_pais" HeaderText="País" 
                    SortExpression="str_pais" />
            </Columns>
            <EditRowStyle BackColor="#999999" />
            <EmptyDataTemplate>
                <asp:Label ID="lbl_infoNoResults" runat="server" ForeColor="Red" 
                    Text="Los criterios establecidos para la búsqueda no ofrecen ningún resultado. Inténtelo de nuevo."></asp:Label>
            </EmptyDataTemplate>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#E9E7E2" />
            <SortedAscendingHeaderStyle BackColor="#506C8C" />
            <SortedDescendingCellStyle BackColor="#FFFDF8" />
            <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
        </asp:GridView>
    </div>
    <asp:ObjectDataSource ID="objDS_organizations" runat="server" 
        SelectMethod="getListOrganizations" 
        TypeName="BraStor_WebRole.Bll.BllOrganizaciones">
        <SelectParameters>
            <asp:SessionParameter DefaultValue="null" Name="organizationCriteria" 
                SessionField="organizationCriteria" Type="Object" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="objDS_countries" runat="server" 
        SelectMethod="getListCountries" 
        TypeName="BraStor_WebRole.Bll.BllOrganizaciones"></asp:ObjectDataSource>
</asp:Content>
