﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace BraStor_WebRole.Temas
{
    public partial class ThemeNew : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Label lblError = (Label)this.frmThemes.FindControl("lbl_error");
                lblError.Visible = false;

            }

        }

        /// <summary>
        /// Inicia el proceso de inversión
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void InsertButton_Click(object sender, EventArgs e)
        {
            Label lblError = (Label)this.frmThemes.FindControl("lbl_error");

            try
            {
                lblError.Visible = false;

                this.frmThemes.InsertItem(true);

                Response.Redirect("~/Temas/ThemeIndex.aspx");
            }
            catch (Exception ex)
            {
                lblError.ForeColor = Color.Red;
                lblError.Text = "Ha habido un error durante la inserción. [" + ex.Message + "]";
                lblError.Visible = true;
            }


        }

        /// <summary>
        /// Cancela el proceso de inversión
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void InsertCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Temas/ThemeIndex.aspx");
        }
    }
}