﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserEdit.aspx.cs" Inherits="BraStor_WebRole.Users.UserEdit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Información de Usuario
    </h2>
    <br />
    <div class="accountInfo" style="width: 100%">
        <asp:FormView ID="frmUser" runat="server" DefaultMode="Edit" 
            DataSourceID="objDS_userDetail" Width="100%" 
            onitemupdating="frmUser_ItemUpdating">
            <EditItemTemplate>
                <asp:Label ID="lbl_error" runat = "server" Text="" Visible="false" Width="100%" />
                <asp:Label ID="lbl_userId" runat="server" Text='<%# Bind("UserId") %>' Visible="false"/>
                <table style="width: 100%">
                    <tr>
                        <td colspan="5" class="dataHeader">
                            <asp:Label ID="lbl_title1" runat="server" Text="Datos de Usuario" CssClass="dataHeader"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_name" runat="server" Text="Nombre:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_name" runat="server" Width="95%" 
                                Text='<%# Bind("str_nombre") %>'></asp:TextBox>
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_surname" runat="server" Text="Apellidos:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_surname" runat="server" Width="95%" 
                                Text='<%# Bind("str_apellidos") %>'></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_organization" runat="server" Text="Organización:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:DropDownList ID="ddl_organization" runat="server" 
                                DataSourceID="objDS_organizations" DataTextField="str_nombre" 
                                DataValueField="pk_uid_id" Width="95%" 
                                SelectedValue='<%# Bind("uid_organizacion") %>'>
                            </asp:DropDownList>
                                    
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_phone" runat="server" Text="Teléfono:"></asp:Label>
                        </td>
                        <td style="width: 35%">
                            <asp:TextBox ID="txt_phone" runat="server" Width="95%" 
                                Text='<%# Bind("str_telefono") %>'></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5" class="dataHeader">
                            <asp:Label ID="lbl_info2" runat="server" Text="Cuenta de usuario"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="UserNameLabel" runat="server" >Login:</asp:Label>
                        </td>
                        <td style="width: 35%">                                    
                            <asp:TextBox ID="UserName" runat="server" CssClass="textEntry" ReadOnly="True" 
                                Text='<%# Bind("UserName") %>' Width="95%"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                                    CssClass="failureNotification" ErrorMessage="El nombre de usuario es obligatorio." ToolTip="El nombre de usuario es obligatorio." 
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: left;" colspan="2">
                            <asp:CheckBox ID="chk_lockedUser" runat="server" Enabled="False" 
                                Text="Usuario Bloqueado" Checked='<%# Bind("IsLockedOut") %>' />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_creationDate" runat="server" >Fecha de Creación:</asp:Label>
                        </td>
                        <td style="width: 35%">                                    
                            <asp:TextBox ID="txt_creationDate" runat="server" 
                                 ReadOnly="True" 
                                Text='<%# Bind("CreateDate", "{0:d}") %>' Width="95%"></asp:TextBox>
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: left;" colspan="2">
                            <asp:CheckBox ID="onlineUser" runat="server" Enabled="False" 
                                Text="Usuario en línea" Visible="False" />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_lastLoginDate" runat="server" >Fecha última conexión:</asp:Label>
                        </td>
                        <td style="width: 35%">        
                            <asp:TextBox ID="txt_lastLoginDate" runat="server" 
                                ReadOnly="True" 
                                Text='<%# Bind("LastLoginDate", "{0:d}") %>' Width="95%"></asp:TextBox>                            
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 14%; text-align: right;">
                            <asp:Label ID="lbl_email" runat="server" Text="Correo electrónico:"></asp:Label>
                        </td>
                        <td style="width: 35%">                                    
                            <asp:TextBox ID="Email" runat="server" CssClass="textEntry" 
                                Text='<%# Bind("Email") %>' Width="95%"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" 
                                    CssClass="failureNotification" ErrorMessage="El correo electrónico es obligatorio." ToolTip="El correo electrónico es obligatorio." 
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                        </td>
                        <td style="width: 2%"></td>
                        <td style="width: 14%; text-align: right;">
                        </td>
                        <td style="width: 35%">
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5" class="dataHeader">
                            <asp:Label ID="lbl_info3" runat="server" Text="Rol de usuario"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5" style="text-align: left" align="center">
                            <asp:RadioButtonList ID="UsersRoleList" runat="server" 
                                DataSourceID="objDS_Roles" SelectedValue='<%# Bind("RoleName", "{0}") %>'>
                            </asp:RadioButtonList>
                                    
                        </td>
                    </tr>
                </table>
                <br />
                <table style="width: 100%">
                    <tr>
                        <td style="text-align: left; width: 50%">
                            <asp:ImageButton ID="ibtn_unlock" runat="server" ImageUrl="~/Images/unlock16.png" Visible="false"/>
                            <asp:LinkButton ID="lnk_unlockUser" runat="server" CausesValidation="True" 
                                CommandName="Update" Text="Desbloquear Usuario" Visible="false" 
                                onclick="lnk_unlockUser_Click" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left; width: 50%">
                            <asp:ImageButton ID="bimg_save" runat="server" ImageUrl="~/Images/save16.png" />
                            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                                CommandName="Update" Text="Actualizar" onclick="UpdateButton_Click" />
                        </td>
                        <td style="text-align: right; width: 50%">
                            <asp:LinkButton ID="UpdateCancelButton" runat="server" 
                                CausesValidation="False" CommandName="Cancel" Text="Cancelar" 
                                onclick="UpdateCancelButton_Click" />
                        </td>
                    </tr>
                </table>
            </EditItemTemplate>
        </asp:FormView>
        <asp:ObjectDataSource ID="objDS_userDetail" runat="server" 
            SelectMethod="getUserDetail" TypeName="BraStor_WebRole.Bll.BllUsers" 
            DataObjectTypeName="BraStor_WebRole.Model.vw_Users" UpdateMethod="UpdateDetail">
            <SelectParameters>
                <asp:QueryStringParameter Name="userUid" QueryStringField="ID" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>        <asp:ObjectDataSource ID="objDS_Roles" runat="server" SelectMethod="getRoles" 
                        TypeName="BraStor_WebRole.Bll.BllUsers"></asp:ObjectDataSource>                        <asp:ObjectDataSource ID="objDS_organizations" runat="server" 
                        SelectMethod="getAllOrganizations" TypeName="BraStor_WebRole.Bll.BllUsers">
        </asp:ObjectDataSource>
    </div>
</asp:Content>
